gnutls_ocsp_req_import(3)

NAME
gnutls_ocsp_req_import - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_req_import(gnutls_ocsp_req_t req, const gnutls_datum_t * data);

ARGUMENTS

gnutls_ocsp_req_t req
    The data to store the parsed request.

const gnutls_datum_t * data
    DER encoded OCSP request.

DESCRIPTION
This function will convert the given DER encoded OCSP request to the native gnutls_ocsp_req_t format. The output will be stored in
 req .

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/